Vector BLF: Vector::BLF::A429Message Struct Reference

Vector BLF

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Vector::BLF::A429Message Struct Referencefinal

A429_MESSAGE. More...

`#include <A429Message.h>`

Inheritance diagram for Vector::BLF::A429Message:

## Public Member Functions
void | read (AbstractFile &is) override
void | write (AbstractFile &os) override
uint32_t | calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeader
| ObjectHeader (const ObjectType objectType, const uint16_t objectVersion=0)
void | read (AbstractFile &is) override
void | write (AbstractFile &os) override
uint16_t | calculateHeaderSize () const override
uint32_t | calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeaderBase
| ObjectHeaderBase (const uint16_t headerVersion, const ObjectType objectType)
| ObjectHeaderBase (const ObjectHeaderBase &)=default
ObjectHeaderBase & | operator= (const ObjectHeaderBase &)=default
| ObjectHeaderBase (ObjectHeaderBase &&)=default
ObjectHeaderBase & | operator= (ObjectHeaderBase &&)=default
virtual void | read (AbstractFile &is)
virtual void | write (AbstractFile &os)
virtual uint16_t | calculateHeaderSize () const
virtual uint32_t | calculateObjectSize () const

## Public Attributes
std::array< uint8_t, 4 > | a429Data {}
uint16_t | channel {}
uint8_t | dir {}
uint8_t | reservedA429Message1 {}
uint32_t | bitrate {}
int32_t | errReason {}
uint16_t | errPosition {}
uint16_t | reservedA429Message2 {}
uint32_t | reservedA429Message3 {}
uint64_t | frameGap {}
uint32_t | frameLength {}
uint16_t | msgCtrl {}
uint16_t | reservedA429Message4 {}
uint32_t | cycleTime {}
uint32_t | error {}
uint32_t | bitLenOfLastBit {}
uint32_t | reservedA429Message5 {}
Public Attributes inherited from Vector::BLF::ObjectHeader
uint32_t | objectFlags {ObjectFlags::TimeOneNans}
| object flags
uint16_t | clientIndex {}
| client index of send node
uint16_t | objectVersion {0}
| object specific version
uint64_t | objectTimeStamp {}
| object timestamp
Public Attributes inherited from Vector::BLF::ObjectHeaderBase
uint32_t | signature {ObjectSignature}
| signature (ObjectSignature)
uint16_t | headerSize {}
| sizeof object header
uint16_t | headerVersion {}
| header version (1)
uint32_t | objectSize {}
| object size
ObjectType | objectType {ObjectType::UNKNOWN}
| object type

## Additional Inherited Members
Public Types inherited from Vector::BLF::ObjectHeader
enum | ObjectFlags : uint32_t { TimeTenMics = 0x00000001 , TimeOneNans = 0x00000002 }

## Detailed Description

A429_MESSAGE.

A429 message object

## Member Function Documentation

## ◆ calculateObjectSize()

uint32_t Vector::BLF::A429Message::calculateObjectSize | ( |  | ) | const
| overridevirtual

Calculates the objectSize

Returns
  object size

Reimplemented from Vector::BLF::ObjectHeaderBase.

## ◆ read()

void Vector::BLF::A429Message::read | ( | AbstractFile & | is | ) |
| overridevirtual

Read the data of this object

Parameters

  is | input stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

## ◆ write()

void Vector::BLF::A429Message::write | ( | AbstractFile & | os | ) |
| overridevirtual

Write the data of this object

Parameters

  os | output stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

## Member Data Documentation

## ◆ a429Data

std::array<uint8_t, 4> Vector::BLF::A429Message::a429Data {}

data

## ◆ bitLenOfLastBit

uint32_t Vector::BLF::A429Message::bitLenOfLastBit {}

bit length of last bit

## ◆ bitrate

uint32_t Vector::BLF::A429Message::bitrate {}

bitrate

## ◆ channel

uint16_t Vector::BLF::A429Message::channel {}

application channel

## ◆ cycleTime

uint32_t Vector::BLF::A429Message::cycleTime {}

cycle time

## ◆ dir

uint8_t Vector::BLF::A429Message::dir {}

direction flag: 0=Rx, 1=Tx

## ◆ error

uint32_t Vector::BLF::A429Message::error {}

error

## ◆ errPosition

uint16_t Vector::BLF::A429Message::errPosition {}

error position

## ◆ errReason

int32_t Vector::BLF::A429Message::errReason {}

error reason

## ◆ frameGap

uint64_t Vector::BLF::A429Message::frameGap {}

frame gap

## ◆ frameLength

uint32_t Vector::BLF::A429Message::frameLength {}

frame length

## ◆ msgCtrl

uint16_t Vector::BLF::A429Message::msgCtrl {}

message control

## ◆ reservedA429Message1

uint8_t Vector::BLF::A429Message::reservedA429Message1 {}

reserved

## ◆ reservedA429Message2

uint16_t Vector::BLF::A429Message::reservedA429Message2 {}

reserved

## ◆ reservedA429Message3

uint32_t Vector::BLF::A429Message::reservedA429Message3 {}

reserved

## ◆ reservedA429Message4

uint16_t Vector::BLF::A429Message::reservedA429Message4 {}

reserved

## ◆ reservedA429Message5

uint32_t Vector::BLF::A429Message::reservedA429Message5 {}

reserved

The documentation for this struct was generated from the following files:

- A429Message.h
- A429Message.cpp